MCUX CLNS MCUX Crypto Library Normal Secure |

Data Fields
mcuxClEcc_DomainParam_t Struct Reference
mcuxClEcc » mcuxClEcc_Types

Parameter structure of elliptic curve of the form, y^2 = x^3 + a*x + b modulo prime p. More...

`#include <mcuxClEcc_Types.h>`

## Data Fields
const uint8_t * | pA
| [in] pointer to octet string of curve parameter a (< p), of which the length is byteLenP. More...
const uint8_t * | pB
| [in] pointer to octet string of curve parameter b (< p), of which the length is byteLenP. More...
const uint8_t * | pP
| [in] pointer to octet string of prime modulus p, of which the length is byteLenP. More...
const uint8_t * | pG
| [in] pointer to octet string of base point G. More...
const uint8_t * | pN
| [in] pointer to octet string of base point order n, of which the length is byteLenN. More...
uint32_t | misc
| [in] packed lengths, via mcuxClEcc_DomainParam_misc_Pack: bits 0~ 7: byteLenP: length of the octet string of curve parameters a, b and p, and x and y coordinates of base point G; bits 8~15: byteLenN: length of the octet string of curve parameter n; bits 16~31: reserved. More...

## Detailed Description

Parameter structure of elliptic curve of the form, y^2 = x^3 + a*x + b modulo prime p.

Each curve parameter is stored as a Big-endian octet string with exact byte length specified. For a small parameter, padding zero(s) is placed in the beginning of the octet string. This structure contains pointers to the octet strings and the lengths.

## Field Documentation

## ◆ pA

const uint8_t* mcuxClEcc_DomainParam_t::pA

[in] pointer to octet string of curve parameter a (< p), of which the length is byteLenP.

## ◆ pB

const uint8_t* mcuxClEcc_DomainParam_t::pB

[in] pointer to octet string of curve parameter b (< p), of which the length is byteLenP.

## ◆ pP

const uint8_t* mcuxClEcc_DomainParam_t::pP

[in] pointer to octet string of prime modulus p, of which the length is byteLenP.

The leading byte of this octet string shall be nonzero (i.e., != 0x00).

## ◆ pG

const uint8_t* mcuxClEcc_DomainParam_t::pG

[in] pointer to octet string of base point G.

Each coordinate is an octet string of the length byteLenP. The string of x coordinate is followed by the string of y coordinate.

## ◆ pN

const uint8_t* mcuxClEcc_DomainParam_t::pN

[in] pointer to octet string of base point order n, of which the length is byteLenN.

The leading byte of this octet string shall be nonzero (i.e., != 0x00).

## ◆ misc

uint32_t mcuxClEcc_DomainParam_t::misc

[in] packed lengths, via mcuxClEcc_DomainParam_misc_Pack: bits 0~ 7: byteLenP: length of the octet string of curve parameters a, b and p, and x and y coordinates of base point G; bits 8~15: byteLenN: length of the octet string of curve parameter n; bits 16~31: reserved.